1 |
diff -Nur -x '*.orig' -x '*.rej' smeserver-mailman-1.3.0/root/sbin/e-smith/alias2mailman mezzanine_patched_smeserver-mailman-1.3.0/root/sbin/e-smith/alias2mailman |
2 |
--- smeserver-mailman-1.3.0/root/sbin/e-smith/alias2mailman 1970-01-01 10:00:00.000000000 +1000 |
3 |
+++ mezzanine_patched_smeserver-mailman-1.3.0/root/sbin/e-smith/alias2mailman 2006-09-22 17:37:22.646216280 +1000 |
4 |
@@ -0,0 +1,68 @@ |
5 |
+#!/bin/sh |
6 |
+#---------------------------------------------------------------------- |
7 |
+# Copyright (C) 2006 Gordon Rowell <gordonr@gormand.com.au> |
8 |
+# |
9 |
+# This program is free software; you can redistribute it and/or modify |
10 |
+# it under the terms of the GNU General Public License as published by |
11 |
+# the Free Software Foundation; either version 2 of the License, or |
12 |
+# (at your option) any later version. |
13 |
+# |
14 |
+# This program is distributed in the hope that it will be useful, |
15 |
+# but WITHOUT ANY WARRANTY; without even the implied warranty of |
16 |
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the |
17 |
+# GNU General Public License or more details. |
18 |
+# |
19 |
+# You should have received a copy of the GNU General Public License |
20 |
+# along with this program; if not, write to the Free Software |
21 |
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA |
22 |
+#---------------------------------------------------------------------- |
23 |
+ |
24 |
+# Quick conversion of ~alias file to mailman |
25 |
+ |
26 |
+LIST=$1 |
27 |
+OWNER=$2 |
28 |
+ |
29 |
+TYPE=$(db accounts gettype $LIST) |
30 |
+ |
31 |
+if [ -n "$TYPE" ] |
32 |
+then |
33 |
+ echo "$LIST is an existing account of type $TYPE" |
34 |
+ exit 1 |
35 |
+fi |
36 |
+ |
37 |
+ALIAS_FILE=/var/qmail/alias/.qmail-$LIST |
38 |
+ |
39 |
+if [ ! -f $ALIAS_FILE ] |
40 |
+then |
41 |
+ echo "$ALIAS_FILE doesn't exist" |
42 |
+ exit 2 |
43 |
+fi |
44 |
+ |
45 |
+OWNER=$(config getprop mailman DefaultOwner) |
46 |
+OWNER=${OWNER:-"admin@$DOMAIN"} |
47 |
+ |
48 |
+/usr/lib/mailman/bin/newlist -q $LIST $OWNER dummypass > /dev/null 2>&1 || : |
49 |
+ |
50 |
+cat > /tmp/hide << EOF |
51 |
+advertised = 1 |
52 |
+archive_private = 1 |
53 |
+send_reminders = 0 |
54 |
+send_welcome_msg = 0 |
55 |
+send_goodbye_msg = 0 |
56 |
+description = 'Mailing list $LIST' |
57 |
+EOF |
58 |
+ |
59 |
+/usr/lib/mailman/bin/config_list -i /tmp/hide $LIST > /dev/null 2>&1 || : |
60 |
+rm -f /tmp/hide |
61 |
+ |
62 |
+/usr/lib/mailman/bin/change_pw -l $LIST 2> /dev/null || |
63 |
+ echo "New mailman password: *UNCHANGED*"; : |
64 |
+ |
65 |
+grep -v '^#' $ALIAS_FILE | |
66 |
+ sed -e 's/&//' | |
67 |
+ /usr/lib/mailman/bin/add_members -r - -a n $LIST |
68 |
+ |
69 |
+expand-template /var/qmail/users/assign |
70 |
+/var/qmail/bin/qmail-newu |
71 |
+ |
72 |
+mv $ALIAS_FILE $ALIAS_FILE.mailman |